Create database backup policy
POST
/api/databases/{id}/backups/policies
const url = 'https://gateway.example.com/api/databases/550e8400-e29b-41d4-a716-446655440000/backups/policies';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"destinationId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","bucket":"example","prefix":"example","stagingStorageConnectionId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","stagingBucket":"example","executorNodeId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","schedule":"example","timezone":"example","retentionCount":1,"limits":{"workspaceBytes":1,"timeoutSeconds":1,"cpuCores":1,"memoryMb":1},"enabled":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://gateway.example.com/api/databases/550e8400-e29b-41d4-a716-446655440000/backups/policies \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "destinationId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "bucket": "example", "prefix": "example", "stagingStorageConnectionId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "stagingBucket": "example", "executorNodeId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "schedule": "example", "timezone": "example", "retentionCount": 1, "limits": { "workspaceBytes": 1, "timeoutSeconds": 1, "cpuCores": 1, "memoryMb": 1 }, "enabled": true }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Example
550e8400-e29b-41d4-a716-446655440000Request Bodyrequired
Section titled “Request Bodyrequired”JSON request body
Media typeapplication/json
object
destinationId
required
string format: uuid
bucket
required
string
prefix
required
string
stagingStorageConnectionId
string | null format: uuid
stagingBucket
string | null
executorNodeId
required
string format: uuid
schedule
string | null
timezone
required
string
retentionCount
required
integer
limits
required
object
workspaceBytes
required
integer
timeoutSeconds
required
integer
cpuCores
required
integer
memoryMb
required
integer
enabled
boolean
Examplegenerated
{ "destinationId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "bucket": "example", "prefix": "example", "stagingStorageConnectionId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "stagingBucket": "example", "executorNodeId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "schedule": "example", "timezone": "example", "retentionCount": 1, "limits": { "workspaceBytes": 1, "timeoutSeconds": 1, "cpuCores": 1, "memoryMb": 1 }, "enabled": true}Responses
Section titled “Responses”Created
Media typeapplication/json
object
data
required
Resource object. Exact fields depend on the endpoint.
object
id
string
name
string
key
additional properties
Example
{ "data": { "id": "550e8400-e29b-41d4-a716-446655440000", "name": "Example resource", "createdAt": "2024-01-01T12:00:00.000Z", "updatedAt": "2024-01-01T12:30:00.000Z" }}Bad request
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "VALIDATION_ERROR", "message": "Request validation failed", "details": [ { "path": [ "name" ], "message": "Required" } ]}Authentication required
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "UNAUTHORIZED", "message": "Authentication required"}Forbidden
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "FORBIDDEN", "message": "Insufficient permissions"}Not found
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "NOT_FOUND", "message": "Resource not found"}Conflict
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "CONFLICT", "message": "Resource already exists"}Unprocessable entity
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "UNPROCESSABLE_ENTITY", "message": "Request could not be processed"}Internal server error
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "INTERNAL_ERROR", "message": "Internal server error"}